/*
 * InicializadorDatos.java
 *
 * Created on 3 de mayo de 2007, 18:50
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package mvc;

import java.sql.*; 
import javax.servlet.*; 
import mvc.modelo.*; 

/**
 *
 * @author MCO
 */

public class InicializadorDatos implements Inicializador { 
    // Nombre para el objeto Jugadores que se guardar en el contexto 
    public static final String NOM_JUGADORES = "jugadores"; 
    // ... Aadir para ms objetos 
    // Variables obtenidas del Descriptor de Despliegue (DD) 
    private static final String BASE_DATOS = "basedatos"; 
    private static final String DRIVER = "driver"; 
    private static final String USER = "user"; 
    private static final String PASSWORD = "password"; 

    //Constructor vaco para instanciacin dinmica. 
    public InicializadorDatos() {} 
    public void init(ServletConfig cfg) throws ServletException { 
        ServletContext ctx = cfg.getServletContext(); 
        String basedatos = ctx.getInitParameter(BASE_DATOS); 
        String driver = ctx.getInitParameter(DRIVER); 
        String user = ctx.getInitParameter(USER); 
        String password = ctx.getInitParameter(PASSWORD); 
        mostrar( "InicializadorDatos lee basedatos " + basedatos); 
        mostrar( "InicializadorDatos lee driver " + driver); 
        try { 
            // Conectarse a la base de datos 
            Class.forName(driver).newInstance(); 
            Connection con = DriverManager.getConnection(basedatos, user, password); 
            mostrar("Se ha conectado a " + basedatos); 
            // Crear el objeto Jugadores del modelo 
            Jugadores jug = new Jugadores(con); 
            ctx.setAttribute(NOM_JUGADORES, jug); 
            // Crear otros objetos ... 
        } catch(Exception e) { 
            mostrar( "No se ha conectado a " + basedatos); 
            throw new ServletException(e.getMessage());
        } 
    } 
    private void mostrar(String msg) { System.out.println(msg); 
    } 
}
