/*
 * EventoVoto.java
 *
 * Created on 3 de mayo de 2007, 18:24
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package mvc.event;

import javax.servlet.*; 
import javax.servlet.http.*; 
import mvc.*; 
import mvc.modelo.*;

/**
 *
 * @author MCO
 */

public class EventoVoto implements Evento { 
    // Variables obtenidas del Descriptor de Despliegue (DD) 
    public static final String NOMBRE = "evento.voto"; 
    private static final String JSP_DESTINO = "Votacion.jsp"; 
    private static final String JSP_ERROR = "ErrorVotar.jsp"; 
    
    //Constructor vaco para instanciacin dinmica.
    public EventoVoto() {} 
    // Mtodo sincronzado para evitar problemas de concurrencia 
    public synchronized String procesar(ServletContext ctx, HttpServletRequest req) { 
        mostrar( "En " + this.toString() + " procesando evento");
        // Obtener el componente de estado del modelo
        Jugadores jug = (Jugadores)ctx.getAttribute(InicializadorDatos.NOM_JUGADORES);
        // Obtener la sesion 
        HttpSession s = req.getSession(true);
        // Guardar el nombre del cliente en la sesin
        // para poderlo utilizar en el siguiente servlet
        String nombreP = (String)req.getParameter("txtNombre");
        s.setAttribute("nombreCliente", nombreP); 
        String nombre=(String)req.getParameter("R1");
        boolean existe = false;
        try { 
            if (nombre.equals("Otros"))
                nombre=(String)req.getParameter("txtOtros"); 
            if(nombre.equals("")) throw new Exception(); 
            if(jug.existeJugador(nombre)) 
                jug.actualizarJugador(nombre); 
            else 
                jug.insertarJugador(nombre);
            mostrar("Se actualiz o insert jugador " + nombre); 
            return JSP_DESTINO; 
        } catch( Exception e) { 
            mostrar("Error al actualizar o insertar jugador " + nombre); 
            jug.cerrarConsulta(); 
            return JSP_ERROR; 
        } 
    }
    private void mostrar(String msg) { 
        System.out.println(msg); 
    } 
}
